<?php
$estado_session = session_status();
if($estado_session == PHP_SESSION_NONE){
    session_start();
}

//session_start();
include "verifica.php";
//include_once "../conexion.php";

//@$xnombres=$_REQUEST['xnombres'];

$vali = new Validaciones;

class Validaciones{

	function marcas($conexion,$xaccion,$xid){
		if($xaccion=="eliminar"){
			$r = mysqli_query($conexion,"SELECT * FROM productos p WHERE mar_codi_fk=$xid;");
		}
		
		if(mysqli_num_rows($r) > 0){
			return 1;	
		}else{
			return 0;
		}
		
	}
	
	function presentaciones($conexion,$xaccion,$xid){
		if($xaccion=="eliminar"){
	
			$r = mysqli_query($conexion,"SELECT * FROM productos p WHERE prs_codi_fk=$xid;");
		}
		
		if(mysqli_num_rows($r) > 0){
			return 1;	
		}else{
			return 0;
		}
	}
	
	function masterpack($conexion,$xaccion,$xid){
		if($xaccion=="eliminar"){
	
			$r = mysqli_query($conexion,"SELECT * FROM productos p WHERE mp_codi_fk=$xid;");
		}
		
		if(mysqli_num_rows($r) > 0){
			return 1;	
		}else{
			return 0;
		}
	}
	
	function familias($conexion,$xaccion,$xid){
		if($xaccion=="eliminar"){
			$r = mysqli_query($conexion,"SELECT * FROM productos p WHERE prdfam_codi_fk=$xid ;");
		}
		
		if(mysqli_num_rows($r) > 0){
			return 1;	
		}else{
			return 0;
		}
	}
	
	
	
	function unidadesdemedida($conexion,$xaccion,$xid){
		if($xaccion=="eliminar"){		
			$r1 = mysqli_query($conexion,"SELECT * FROM operacion_almacen_detalle o WHERE unimed_codi_fk=$xid LIMIT 1;");
			$r2 = mysqli_query($conexion,"SELECT * FROM orden_compra_detalle o WHERE unimed_codi_fk=$xid LIMIT 1;");
			$r3 = mysqli_query($conexion,"SELECT * FROM orden_pedido_detalle o WHERE unimed_codi_fk=$xid LIMIT 1;");
			$r4 = mysqli_query($conexion,"SELECT * FROM precios p WHERE unimed_codi_fk=$xid LIMIT 1;");									
		}
		
		if(mysqli_num_rows($r1)>0 or mysqli_num_rows($r2)>0 or mysqli_num_rows($r3)>0 or mysqli_num_rows($r4)>0){
			return 1;	
		}else{
			return 0;
		}
	}		
	

	function catalogo($conexion,$xaccion,$xid){
		if($xaccion=="eliminar"){	
		
			$r1 = mysqli_query($conexion,"SELECT * FROM operacion_almacen_detalle o WHERE prd_codi_fk=$xid LIMIT 1;");
			$r2 = mysqli_query($conexion,"SELECT * FROM orden_compra_detalle o WHERE prd_codi_fk=$xid LIMIT 1;");
			$r3 = mysqli_query($conexion,"SELECT * FROM orden_pedido_detalle o WHERE prd_codi_fk=$xid LIMIT 1;");
			$r4 = mysqli_query($conexion,"SELECT * FROM precios p WHERE prd_codi_fk=$xid LIMIT 1;");	
		}
		
		if(mysqli_num_rows($r1)>0 or mysqli_num_rows($r2)>0 or mysqli_num_rows($r3)>0 or mysqli_num_rows($r4)>0){
			return 1;	
		}else{
			return 0;
		}
	}		


	function preciostipo($conexion,$xaccion,$xid){
		if($xaccion=="eliminar"){
			$r = mysqli_query($conexion,"SELECT * FROM precios p WHERE prctip_codi_fk=$xid LIMIT 1;");
		}
		
		if(mysqli_num_rows($r) > 0){
			return 1;	
		}else{
			return 0;
		}
	}
	


	function personas($conexion,$xaccion,$xid){
		if($xaccion=="eliminar"){	
		
			$r1 = mysqli_query($conexion,"SELECT * FROM operacion_almacen o WHERE per_codi_fk=$xid LIMIT 1;");
			$r2 = mysqli_query($conexion,"SELECT * FROM operacion_caja o WHERE per_codi_fk=$xid LIMIT 1;");
			$r3 = mysqli_query($conexion,"SELECT * FROM orden_compra o WHERE per_codi_fk=$xid LIMIT 1;");
			$r4 = mysqli_query($conexion,"SELECT * FROM orden_pedido o WHERE per_codi_fk=$xid LIMIT 1;");	
			$r5 = mysqli_query($conexion,"SELECT * FROM usuarios u WHERE per_codi_fk=$xid LIMIT 1;");
		}
		
		if(mysqli_num_rows($r1)>0 or mysqli_num_rows($r2)>0 or mysqli_num_rows($r3)>0 or mysqli_num_rows($r4)>0 or mysqli_num_rows($r5)>0){
			return 1;	
		}else{
			return 0;
		}
	}		


	function caja_estado($conexion){
		//if($xaccion=="eliminar"){
			
		$xcaj_cerrada=1;
		//$r = mysqli_query($conexion,"SELECT * FROM caja c order by caj_codi desc limit 1;");
		@$xs_usu_codi=$_SESSION['s_usu_codi'];	
		@$xs_empresa=$_SESSION['s_empresa'];					
			
		$r = mysqli_query($conexion,"SELECT * FROM caja c where usu_codi_fk=$xs_usu_codi and emp_codi_fk=$xs_empresa order by caj_codi desc limit 1;");
		while($row=mysqli_fetch_array($r)){
			$xcaj_cerrada=$row['caj_cerrada'];
		}
		//}
		
		return $xcaj_cerrada;	
		
	}
	
	
	
	function caja_abierta($conexion){		
			
		@$xs_usu_codi=$_SESSION['s_usu_codi'];
		$xcaj_codi=0;
		$r = mysqli_query($conexion,"SELECT * FROM caja c WHERE usu_codi_fk=$xs_usu_codi AND caj_cerrada=0 ORDER BY caj_codi DESC;");
		while($row=mysqli_fetch_array($r)){
			$xcaj_codi=$row['caj_codi'];
		}
		return $xcaj_codi;	
		
	}		


	function empresas($conexion,$xaccion,$xid){
		if($xaccion=="eliminar"){
			$r = mysqli_query($conexion,"SELECT * FROM usuarios u WHERE emp_codi_fk=$xid;");
		}
		
		if(mysqli_num_rows($r) > 0){
			return 1;	
		}else{
			return 0;
		}
		
	}


	function series($conexion,$xaccion,$xid){
		if($xaccion=="eliminar"){
			$r = mysqli_query($conexion,"SELECT * FROM orden_pedido o WHERE ordped_docpagnum LIKE '%$xid%';");
		}
		
		if(mysqli_num_rows($r) > 0){
			return 1;	
		}else{
			return 0;
		}
		
	}



	function transportistas($conexion,$xaccion,$xid){
		if($xaccion=="eliminar"){
			$r = mysqli_query($conexion,"SELECT * FROM operacion_almacen WHERE tra_codi_fk=$xid;");
		}
		
		if(mysqli_num_rows($r) > 0){
			return 1;	
		}else{
			return 0;
		}		
	}



	function transportistas_empresa($conexion,$xaccion,$xid){		
		if($xaccion=="eliminar"){
			$r = mysqli_query($conexion,"SELECT * FROM operacion_almacen WHERE traemp_codi_fk=$xid;");
		}
		
		if(mysqli_num_rows($r) > 0){
			return 1;	
		}else{
			return 0;
		}		
	}


	function tipos_existencias($conexion,$xaccion,$xid){
		if($xaccion=="eliminar"){
			$r = mysqli_query($conexion,"SELECT * FROM productos_familia pf WHERE tipexi_codi_fk=$xid;");
		}
		
		if(mysqli_num_rows($r) > 0){
			return 1;	
		}else{
			return 0;
		}		
	}



}
?>
